<template>
    <el-menu class="app-sidemenu" :default-active="route.name" unique-opened>
        <AppSubmenu :data-list="menus" />
    </el-menu>
</template>

<script lang="ts" setup>
import { useMenu } from '@/hooks/menu'
import AppSubmenu from './submenu.vue'

const { route, getMenus } = useMenu()
const menus = getMenus()
</script>